Updates the purchase order order lines with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
purchase_order_details| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| purchase_order_id |
Foreign key of the purchase_order |
globally unique identifier |
Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided |
| purchase_order_reference_back_office |
Embedded entity "purchase_order" using ERP PK when adding/updating |
string |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| purchase_order |
Embedded entity "purchase_order" when adding/updating |
purchase_order |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| line_number |
Line Number, auto filled with (Highest+1) if value is 0/null |
integer | |
| code |
Code of the article (auto filled if empty) |
string |
Max length: 255 |
| supplier_code |
Code of the supplier for this article |
string |
Max length: 255 |
| name |
Article Name (will be auto filled if article.name+description are empty) |
string |
Max length: 255 |
| description |
Article description (will be auto filled by article.short_description if name+description are empty) |
string |
Max length: 255 |
| price |
Unit Price |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ Range: inclusive between 0.1 and 1.79769313486232E+308 |
| quantity |
Quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| memo |
Line memo/remark |
string | |
| cost_price |
Unit Cost Price (statistic purpose) |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "c0708206-142a-4522-8862-89b400abfc9e",
"purchase_order_id": "2c8469a8-0ec9-4244-8a3a-1a5748a5956e",
"purchase_order_reference_back_office": "sample string 3",
"purchase_order": {
"id": "21a948c5-7f67-46bc-9f61-51f0e0d7b42f",
"id2": 2,
"jobs_id": "dde2c51c-b08b-4e2a-a25d-c65419ddd0f6",
"jobs_reference_back_office": "sample string 4",
"supplier_company_id": "84acd3af-123d-427d-8e9f-7784167ebef1",
"supplier_company_code": "sample string 6",
"user_id": "b37dfb88-e050-4f21-b850-be08d6dc3641",
"user_code": "sample string 8",
"description": "sample string 9",
"memo": "sample string 10",
"total_lines": 11,
"date_create": "2026-10-31T00:32:45.7958392+00:00",
"date_update": "2026-10-31T00:32:45.7958392+00:00",
"date_delivery": "2026-10-31T00:32:45.7958392+00:00",
"confirmed_date_delivery": "2026-10-31T00:32:45.7958392+00:00",
"delivery_db_address_id": "82dbd5da-a191-4015-9386-434e9a007cae",
"approved_by_user_id": "d5a77c02-d2d7-4de7-a5fd-215fd46063f1",
"approved_by_user_code": "sample string 18",
"technical_user_id": "67954e6a-51c1-4b5b-a650-51e0f0721ff8",
"technical_user_code": "sample string 20",
"purchase_order_status_id": "fe3d306b-bc9a-40b4-9a44-40a6bdff9df9",
"purchase_order_status_code": "sample string 22",
"article_stock_location_id": "d3702576-a4c6-4fbf-9421-a42c9fdbd478",
"is_pickup": true,
"reference_back_office": "sample string 25",
"modified_dateutc": "2026-10-31T00:32:45.7958392+00:00"
},
"article_id": "a86536d0-202d-47af-b953-59af2e94f036",
"article_code": "sample string 5",
"article": {
"id": "a7c9f9ee-8917-443b-8370-0a2a72aa0c7f",
"article_category_id": "2ce8045c-e192-45ee-a5b9-e1b1975abad5",
"article_category": {
"id": "dbd06239-0434-4393-9474-41e1c0cf520a",
"parent_id": "e67a15d1-817f-45e3-8a73-9fbd1e3bd8d8",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-10-31T00:32:45.7958392+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "ef719ef0-3a93-4f67-833b-9eceee416eb9",
"article_group_1_code": "sample string 5",
"article_group_2_id": "dd200cc0-05a3-4151-9ce8-e48f26b5876e",
"article_group_2_code": "sample string 7",
"article_group_3_id": "02d5e5ee-b319-412e-b635-d190bfd92a8d",
"article_group_3_code": "sample string 9",
"article_group_4_id": "86d0ee02-7bff-45b6-975f-c2a04a98ad88",
"article_group_4_code": "sample string 11",
"article_group_5_id": "848c0867-c9b1-4cac-b740-088724344658",
"article_group_5_code": "sample string 13",
"article_group_6_id": "f6fed61f-264b-4900-9806-0d882f87edb5",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-10-31T00:32:45.7958392+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-10-31T00:32:45.7958392+00:00",
"date_update": "2026-10-31T00:32:45.7958392+00:00",
"modified_dateutc": "2026-10-31T00:32:45.7958392+00:00",
"article_color_id": "ff16f94e-fb92-4211-9198-f8257a7c5d2d",
"article_color_code": "sample string 38",
"article_color": {
"id": "4560e96a-51e2-478b-8c31-14c51dc7a9af",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-10-31T00:32:45.7958392+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "06f9ff8f-0c37-4e8e-972f-0fe972817272",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "35895bb6-15d1-44be-8ccd-142f90ea531e",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"line_number": 6,
"code": "sample string 7",
"supplier_code": "sample string 8",
"name": "sample string 9",
"description": "sample string 10",
"price": 11.0,
"quantity": 12.0,
"memo": "sample string 13",
"cost_price": 14.0,
"reference_back_office": "sample string 15",
"modified_dateutc": "2026-10-31T00:32:45.8262985+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.